// 
// module : TrafficLight.ch
// project : TrafficLight
// language : xBase++ 
// author: Rene Nooteboom
// email: r.nooteboom2@chello.nl
// mobile: +31 (0) 6 2182 7921
// created: 26/08/2006 17:34
// updated: 02/09/2006 16:36
//
// some constants for resource file : TrafficLight.arc(.res)
//
#define ID_ICON_EXE    10
#define ID_ICON_GREEN  11
#define ID_ICON_AMBER  12
#define ID_ICON_RED    13
#define ID_ICON_GREYED 14
//
#define ID_BMP_GREEN  21
#define ID_BMP_AMBER  22
#define ID_BMP_RED    23
#define ID_BMP_GREYED 24
//
// Traffic Lights for the direction North
//
#define GREEN_NORTH O5 // green light connected with output 5
#define AMBER_NORTH O6 // orange light at output 6
#define RED_NORTH O7 
//
// Traffic Lights for the direction West
//
#define GREEN_WEST O4 // green light connected with output 4
#define AMBER_WEST O2 // orange light at output 2
#define RED_WEST O3 
//
#define BUZZER O8 // for the visually handicapped pedestrian crossers
//
// white light inside the push-button cross-over request
// is to indicate that request to cross street has been noticed
//
#define WHITE_LIGHT O1 // light at output 1
//
#define PUSH_BUTTON E2 // request to cross street button at input 2
//
#define DEFAULT_GREEN_TIME 20 // in seconds
#define DEFAULT_AMBER_TIME 3
#define DEFAULT_RED_TIME 10
#define BOTH_RED_TIME 3
//
// indexes for array : phases_
//
#define IOUTPUTBYTE 1
#define ITIME 2
//
// eof TrafficLight.ch
//
